Issue 70928 - add graphic import filter for impress module
Summary: add graphic import filter for impress module
Status: CONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: open-import (show other issues)
Version: recent-trunk
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-27 08:51 UTC by andreas.schluens
Modified: 2013-08-07 15:20 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description andreas.schluens 2006-10-27 08:51:20 UTC
Please have a look into the task #137955#. If every application was disabled during 
setup ... excepting impress, it's not possible to load e.g. bitmaps any longer within 
OOo. But you can create and export bitmaps by using the impress module.

Solution:

Duplicate all graphic filter registered for the draing module and register it also for 
the impress module. But dont set such filters as the preferred ones.

Effect:

In a normal office installation it would be possible to load graphics by default into 
the draw module. But if the draw module isnt installed the next possible filter will be 
found registered for the impress module ... and all bitmaps will be loaded there.

Please note further: The original bug (137955) cant be tested ... because there 
exists a workaround. Please open the file "filter/source/config/cache/filtercache.
cxx" and grep for the mention bug id 137955. You will find "special code, which 
ignores all installed filters, where the corresponding module could not be found.

Hint for the QA: Please dint forget to check the help module also. Because all help 
contents are loaded by using a special writer/web filter these changes will also 
have an effect here. It must be possible to load the help even if the complete writer 
module (writer/web/global) was not installed.
Comment 1 Martin Hollmichel 2007-11-09 17:19:40 UTC
set target from 2.x to 3.x according to
http://wiki.services.openoffice.org/wiki/Target_3x